# boost::lockfree Namespace Reference

## Classes

class | atomic_int
struct | atomic_cas_emulator
struct | atomic_cas32
struct | atomic_cas64
struct | atomic_cas128
class | freelist
class | caching_freelist
class | static_freelist
struct | caching_freelist_t
struct | static_freelist_t
class | tagged_ptr
class | fifo
class | fifo< T *, freelist_t, Alloc >
class | stack

## Namespaces

namespace | detail

## Functions

bool | likely (bool expr)
| hint for the branch prediction
bool | unlikely (bool expr)
| hint for the branch prediction
void | memory_barrier (void)
void | read_memory_barrier (void)
template<typename C>
bool | atomic_cas_emulation (C *addr, C old, C nw)
template<typename C>
bool | cas (volatile C *addr, C const &old, C const &nw)